"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "generateId", {
    enumerable: true,
    get: function() {
        return generateId;
    }
});
const _sparkmd5 = require("spark-md5");
const _constscjs = require("./consts.cjs");
const generateId = async (file)=>{
    if (file.size < _constscjs.SIZE_128K) {
        return _sparkmd5.ArrayBuffer.hash(await file.arrayBuffer());
    }
    const start = await file.slice(0, _constscjs.SIZE_64K).arrayBuffer();
    const end = await file.slice(-_constscjs.SIZE_64K).arrayBuffer();
    const buf = new _sparkmd5.ArrayBuffer();
    buf.append(start);
    buf.append(end);
    return buf.end();
};
